Bug 150475

Summary: sysutils/brasero does not properly depend on textproc/gnome-doc-utils
Product: Ports & Packages Reporter: Thomas E. Spanjaard <tgen>
Component: Individual Port(s)Assignee: freebsd-gnome (Nobody) <gnome>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Thomas E. Spanjaard 2010-09-10 15:30:02 UTC
When building sysutils/brasero, the configure script fails because it expects gnome-doc-utils to be present. sysutils/brasero does not list this as a dependency.

Fix: 

Fix sysutils/brasero to explicitly depend on textproc/gnome-doc-utils.
How-To-Repeat: Try to build sysutils/brasero on a fresh system (i.e. no ports installed yet).
Comment 1 Edwin Groothuis freebsd_committer 2010-09-10 15:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dereckson 2010-09-20 17:15:15 UTC
It's not an explicit dependency:

On FreeBSD 8.1-RELEASE I deinstalled the gnome-docs-utils port, then:
cd /usr/ports/sysutils/brasero
make depends
(...)
=3D=3D=3D>   brasero-2.30.2_1 depends on file:
/usr/local/libdata/pkgconfig/gnome-doc-utils.pc - not found

According bsd.gnome.mk (around line 76), any USE_GNOME will request
gnomedocutils, which around line 499 add the relevant dependencies.

Could you add a log of the port output?

--=20
S=E9bastien Santoro aka Dereckson
http://www.dereckson.be/
Comment 3 Thomas E. Spanjaard 2010-09-27 18:22:24 UTC
On 09/20/2010 16:15, Dereckson wrote:
> It's not an explicit dependency:
> 
> On FreeBSD 8.1-RELEASE I deinstalled the gnome-docs-utils port, then:
> cd /usr/ports/sysutils/brasero
> make depends
> (...)
> ===>   brasero-2.30.2_1 depends on file:
> /usr/local/libdata/pkgconfig/gnome-doc-utils.pc - not found
> 
> According bsd.gnome.mk (around line 76), any USE_GNOME will request
> gnomedocutils, which around line 499 add the relevant dependencies.
> 
> Could you add a log of the port output?
> 


Unfortunately I didn't save any logs of that run. I installed
gnome-doc-utils right after submitting the PR, then continued to build
brasero (using portupgrade). Perhaps it was portupgrade that caused the
dependency to be missed?

Cheers,
-- 
	Thomas E. Spanjaard
	tgen@netphreax.net
	tgen@deepbone.net
Comment 4 dfilter service freebsd_committer 2010-10-01 03:35:33 UTC
mezz        2010-10-01 02:35:28 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/brasero     Makefile 
  Log:
  Add a missing dependency, gnome-doc-utils, when WITHOUT_NAUTILUS is defined.
  
  PR:             ports/150475
  Reported by:    Thomas E. Spanjaard <tgen@deepbone.net>
  
  Revision  Changes    Path
  1.32      +1 -1      ports/sysutils/brasero/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Jeremy Messenger freebsd_committer 2010-10-01 03:37:51 UTC
State Changed
From-To: open->closed

It's because you have disabled nautilus option in there. I have fixed it. 
Thanks for report!